Import an exception list
https://{kibana_url}
- POST /api/exception_lists/_import
- POST /s/{space_id}/api/exception_lists/_import
Refer to Spaces for more information.
Import an exception list and its associated items from an NDJSON file.
Query Parameters
-
overwriteboolean · default: false Determines whether existing exception lists with the same
list_idare overwritten. If any exception items have the sameitem_id, those are also overwritten.-
as_new_listboolean · default: false Determines whether the list being imported will have a new
list_idgenerated. Additionalitem_id's are generated for each exception item. Both the exception list and its items are overwritten.
Responses
Successful response
-
errorsobjectrequired -
errorobjectrequired -
messagestringrequired -
status_codeintegerrequired -
idstring · min: 1 -
Exception list's identifier.
-
item_idstring · min: 1 -
Human readable string identifier, e.g.
trusted-linux-processes -
list_idstring · min: 1 -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exceptions listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklist
-
successbooleanrequired -
success_countinteger · min: 0required -
success_count_exception_list_itemsinteger · min: 0required -
success_count_exception_listsinteger · min: 0required -
success_exception_list_itemsbooleanrequired -
success_exception_listsbooleanrequired
Invalid input data response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
-
messagestringrequired -
status_codeintegerrequired
Unsuccessful authentication response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Not enough privileges response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Internal server error response
-
messagestringrequired -
status_codeintegerrequired